table:
  name: bonus_points
  schema: scoring
object_relationships:
  - name: event
    using:
      manual_configuration:
        column_mapping:
          event_id: id
        insertion_order: null
        remote_table:
          name: events
          schema: public
  - name: team
    using:
      manual_configuration:
        column_mapping:
          team_id: id
        insertion_order: null
        remote_table:
          name: teams
          schema: public
insert_permissions:
  - role: _event_admin
    permission:
      check: {}
      columns:
        - category
        - event_id
        - id
        - points
        - reason
        - team_id
        - time
  - role: _scoringpod
    permission:
      check: {}
      columns:
        - category
        - event_id
        - id
        - points
        - reason
        - team_id
        - time
    comment: ""
select_permissions:
  - role: _event_admin
    permission:
      columns:
        - category
        - event_id
        - id
        - points
        - reason
        - team_id
        - time
      filter: {}
      allow_aggregations: true
  - role: _scoringpod
    permission:
      columns:
        - category
        - event_id
        - id
        - points
        - reason
        - team_id
        - time
      filter: {}
      allow_aggregations: true
    comment: ""
  - role: _snapshot_service
    permission:
      columns:
        - points
        - category
        - reason
        - time
        - event_id
        - id
        - team_id
      filter: {}
      allow_aggregations: true
    comment: ""
  - role: anonymous
    permission:
      columns:
        - category
        - event_id
        - id
        - points
        - reason
        - team_id
        - time
      filter: {}
      allow_aggregations: true
update_permissions:
  - role: _event_admin
    permission:
      columns:
        - category
        - event_id
        - id
        - points
        - reason
        - team_id
        - time
      filter: {}
      check: {}
  - role: _scoringpod
    permission:
      columns:
        - category
        - event_id
        - id
        - points
        - reason
        - team_id
        - time
      filter: {}
      check: {}
    comment: ""
delete_permissions:
  - role: _event_admin
    permission:
      filter: {}
